Page MenuHomePhabricator

efl_ui_position_manager_list: make it handle group items
ClosedPublic

Authored by bu5hm4n on Aug 16 2019, 8:56 AM.

Details

Summary

this makes the group items stick at the top of the viewport, if the
corresponding items in there do have the item available.
For now items between two groups are not really handled, the group
header will still just be displayed.

The code for this feature is explicitly written in a single block, it
was said that we might want to have this able to be enabled / disabled
later on.

This commit also shuffels the code here a bit, one single method just
got too long.

ref T8115

Depends on D9586

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 16 2019, 8:56 AM
bu5hm4n requested review of this revision.Aug 16 2019, 8:56 AM
cedric accepted this revision.Aug 16 2019, 10:25 AM
This revision is now accepted and ready to land.Aug 16 2019, 10:25 AM

This needs rethinking.

bu5hm4n updated this revision to Diff 24162.Aug 18 2019, 1:14 AM
bu5hm4n edited the summary of this revision. (Show Details)
bu5hm4n updated this revision to Diff 24164.Aug 18 2019, 1:15 AM

fix invalid item placement

Closed by commit rEFL5ad686bc85d4: efl_ui_position_manager_list: make it handle group items (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyAug 20 2019, 10:51 PM
This revision was automatically updated to reflect the committed changes.